# =============================================================
#
# Copyright 2015-2023, European Organisation for the Exploitation of Meteorological Satellites (EUMETSAT)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# =============================================================

# AUTHORS:
# - THALES Services

# - Config file for the H5ZJPEGLS package
# It defines the following variables
#  H5ZJPEGLS_INCLUDE_DIR  - include directories for fcicomp_jpegls
#  H5ZJPEGLS_LIBRARY_DIR    - libraries to link against
#  H5ZJPEGLS_LIBRARIES    - libraries to link against
 

# The following line is for used by configure_package_config_file()

####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was h5zjpegls-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

SET (H5ZJPEGLS_VERSION "2.0.0")

INCLUDE ("${CMAKE_CURRENT_LIST_DIR}/h5zjpegls-targets.cmake")

SET_AND_CHECK (H5ZJPEGLS_INCLUDE_DIR "${PACKAGE_PREFIX_DIR}/include")
SET_AND_CHECK (H5ZJPEGLS_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib/s390x-linux-gnu/hdf5/serial/plugins")
SET (H5ZJPEGLS_LIBRARIES "fcicomp::H5Zjpegls")
